Package org.pushingpixels.flamingo.api.common.icon

# Class EmptyResizableIcon

java.lang.Object
org.pushingpixels.flamingo.api.common.icon.EmptyResizableIcon

All Implemented Interfaces:
  `Icon`, `ResizableIcon`

public class EmptyResizableIcon extends Object implements ResizableIcon
Implementation of `ResizableIcon` that paints nothing.

## Field Summary

Fields
Modifier and Type
Field
Description
`protected int`
`height`
The current icon height.
`protected int`
`width`
The current icon width.

## Constructor Summary

Constructors
Constructor
Description
`EmptyResizableIcon(int initialDim)`
Creates a new empty resizable icon of the specified size.
`EmptyResizableIcon(Dimension initialDim)`
Creates a new empty resizable icon of the specified size.

## Method Summary

Modifier and Type
Method
Description
`int`
`getIconHeight()`
`int`
`getIconWidth()`
`void`
`paintIcon(Component c, Graphics g, int x, int y)`
`void`
`setDimension(Dimension newDimension)`
Changes the dimension of `this` icon.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### width

protected int width
The current icon width.

### height

protected int height
The current icon height.

## Constructor Details

### EmptyResizableIcon

public EmptyResizableIcon(Dimension initialDim)
Creates a new empty resizable icon of the specified size.

Parameters:
  `initialDim` - Initial dimension of the icon.

### EmptyResizableIcon

public EmptyResizableIcon(int initialDim)
Creates a new empty resizable icon of the specified size.

Parameters:
  `initialDim` - Initial dimension of the icon.

## Method Details

### setDimension

public void setDimension(Dimension newDimension)
Description copied from interface: `ResizableIcon`
Changes the dimension of `this` icon.

Specified by:
  `setDimension` in interface `ResizableIcon`
Parameters:
  `newDimension` - New dimension for `this` icon.

### getIconHeight

public int getIconHeight()

Specified by:
  `getIconHeight` in interface `Icon`

### getIconWidth

public int getIconWidth()

Specified by:
  `getIconWidth` in interface `Icon`

### paintIcon

public void paintIcon(Component c, Graphics g, int x, int y)

Specified by:
  `paintIcon` in interface `Icon`